Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

When installing php I configure it like so:

./configure --prefix=/wwwroot/php --with-apxs2=/wwwroot/bin/apxs --with-configure-file-path=/wwwroot/php --with-mysql --with-gd

And a configure error shows up saying this:

xml2-config not found. Please check your libxml2 installation.

What's this all about? And how settle the problem?

share|improve this question

2 Answers 2

You have to install the libxml2 library first

share|improve this answer
    
Have installed it (packages.ubuntu.com/hardy/i386/libxml2/download), but still the same error. –  Emenims Feb 24 '10 at 9:05

Not only do you need to install the libxml2 library, but you need to install the libxml2-dev package. This package installs all the necessary headers so that your compile script will be able to find them and include them. This is true of just about any other package that your compile script might complain about. Look for a [package name]-dev package to install.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.